---
layout: default
title: Set up Automated CI Systems with GitLab
description: "Learn why GitLab's integrated CI pipelines help your team build, test, deploy, and monitor your code."
suppress_header: true
cta_contact_title: "Believe it"
cta_contact_subtitle: "Get unlimited access to all GitLab features for 30 days. "
cta_contact_button_primary_text: "Start your free trial"
cta_contact_button_primary_url: "/free-trial/"
cta_contact_button_secondary_text: "Contact Sales"
cta_contact_button_secondary_url: "/sales/"
cta_contact_sales_css_class: "lavender"
cta_contact_button_secondary_css_class: "lavender"
canonical_path: "/stages-devops-lifecycle/continuous-integration/"
extra_css:
  - solutions2020.css
  - bl-modal.css
  - video-carousel.css
extra_js:
  - libs/slick.min.js
  - video-carousel.js
---


.container.slp-container.header-content
  %h1
    GitLab Continuous Integration (CI)
  %h4
    Outstanding source code exists. For teams and projects big and small, the proof is in the pipeline.
  %a.btn.cta-btn.orange-light{:href => '/resources/ebook-single-app-cicd/', :'data-ga-name' => 'Get to know CI/CD', :'data-ga-location' => 'hero'} Get to know CI/CD
.container.slp-container.header-image
  %img{src: "/images/ci/gitlab-enterprise-panel-rapid-feedback.png", alt: "Image: version control", loading: "lazy"}

.container.slp-container.solutions-blocks
  .solutions-block.solution-1
    %h2.title
      Seeing is believing
    .subtitle
      Continuous integration (CI) delivers better software faster.
    .description
      Build, test, and deploy on day one with GitLab’s 
      %a{:href => 'https://about.gitlab.com/stages-devops-lifecycle/continuous-delivery/'} built-in CI/CD
      and Auto DevOps. From scalable pipelines to integrated security—see it all in one tab, believe in a better workflow.
    %a.btn.cta-btn.orange-light{:href => '/resources/ebook-single-app-cicd/', :'data-ga-name' => 'Get to know CI/CD', :'data-ga-location' => 'body'} Get to know CI/CD
  
  .solutions-block.image.image-1
    %img{src: "/images/ci/gitlab-ci-2.png", alt: "Image of collaboration", loading: "lazy"}
  
  .solutions-block.image.image-2
    %img{src: "/images/ci/gitlab-ci-3.png", alt: "Image of work process", loading: "lazy"}
  
  .solutions-block.solution-2
    %h2.title
      People-powered automation
    .description
      %a{:href => 'https://about.gitlab.com/topics/ci-cd/'} Continuous integration (CI)
      starts with you. You share new code in a merge request (MR), you trigger a pipeline. Build, test, and validate—GitLab does the rest.  
    .description
      %a{:href => 'https://about.gitlab.com/stages-devops-lifecycle/continuous-delivery/'} Continuous delivery (CD) puts your hard work into action, handing off CI-validated code to your application via structured deployment pipelines.

.container.slp-container.feature-cards
  .feature-card
    .icon
      %img{src: "/images/ci/code-icon.svg", alt: "Code icon", loading: "lazy"}
    %h4.title
      See more coding
    .description
      Merge happier developers with secure code. Forward-thinking tools like automated testing let teams focus more and debug less. Automated scans and tracking highlight security risks at the source for a faster fix.
  .feature-card
    .icon
      %img{src: "/images/ci/uptime-icon.svg", alt: "Arrow icon", loading: "lazy"}
    %h4.title
      See more uptime
    .description
      The sky’s the limit when everything’s up. User satisfaction and profits rely on the health of your app. Get real-time returns with continuous delivery (CD) monitoring tools that keep looking back so you can dream on. 
  .feature-card
    .icon
      %img{src: "/images/ci/smile-icon.svg", alt: "Smile icon", loading: "lazy"}
    %h4.title
      See more, together
    .description
      One DevOps platform for one team. One change? No problem. Collaborating is easy when everyone uses the same application to build, test, and validate. Developer, designer, admin—anyone can contribute at any time.  

.container.slp-container.info-block
  %h2.title
    See more with less work
  .description 
    Log off and let GitLab’s CI/CD do the heavy lifting with automated workflows for compiling, testing, and staging. From jobs to issues, search it all from a single dashboard that doesn’t quit. We exist to help you work less. 
  %a.btn.cta-btn.orange-light{:href => 'https://about.gitlab.com/blog/2017/03/13/ci-cd-demo/', :'data-ga-name' => 'Watch demo', :'data-ga-location' => 'body'} Watch demo

.container.slp-container.background-color
  .grey-background
  .resources
    %h2
      Watch and Learn
    .learn
      .resource-block
        .single-video-slider
          - data.video_carousel.each do |video|
            -if video.carousel_identifier.include?("GitLab CI Playlist Carousel 1")
              = partial "includes/components/video-carousel/video-item", locals: {name: video.name, title: video.title, company: video.company, photourl: video.photourl, videolink: video.video_link}
        .youtube-link 
          %a{:href => 'https://youtube.com/playlist?list=PL05JrBw4t0Ko-mJZLo2uF3aQQuBfBaSKB'} Explore GitLab’s CI YouTube Playlist →
      .resource-block.resource-links
        .resource
          .icon 
            %img{src: "/images/ci/webcasts-icon.svg", alt: "Webcast icon", style: "max-width: 40px"}
          .text
            %h4.title
              Webcasts
            .link 
              %a{:href => '/webcast/mastering-ci-cd/'} Mastering continuous software development
              %span.arrow-head →
        .resource
          .icon 
            %img{src: "/images/ci/whitepapers-icon.svg", alt: "Whitepapers icon", style: "max-width: 40px"}
          .text
            %h4.title
              Whitepapers
            .link
              %a{:href => '/resources/scaled-ci-cd/'} Scaled continuous integration and delivery
              %span.arrow-head →
            .link 
              %a{:href => '/resources/ebook-single-app-cicd/'} The benefits of single application CI/CD
              %span.arrow-head →
        .resource
          .icon 
            %img{src: "/images/ci/casestudies-icon.svg", alt: "Case studies icon", style: "max-width: 40px"}
          .text
            %h4.title
              Case studies
            .link 
              %a{:href => '/customers/cncf/'} Cloud Native Computing Foundation (CNCF)
              %span.arrow-head →
            .link 
              %a{:href => '/blog/2019/02/14/verizon-customer-story/'} Verizon
              %span.arrow-head →
            .link 
              %a{:href => '/blog/2017/06/07/continous-integration-ticketmaster/'} Ticketmaster
              %span.arrow-head →
        .resource
          .icon 
            %img{src: "/images/ci/reports-icon.svg", alt: "Reports icon", style: "max-width: 40px"}
          .text
            %h4.title
              Reports
            .link 
              %a{:href => '/resources/forrester-wave-cloudnative-ci/'} Voted a leader in The 2019 Forrester Wave Cloud-Native Continuous Integration Tools
              %span.arrow-head →
            .link 
              %a{:href => '/analysts/forrester-cdra20/'} Voted as a Strong Performer in The Forrester Wave™ Continuous Delivery And Release Automation, Q2 2020
              %span.arrow-head →

#ask-us-anything
  .u-padding-top-md
    .container.container2020
      = partial "includes/components/cta-contact"

- data.video_carousel.each do |video|
  -if video.carousel_identifier.include?("GitLab CI Playlist Carousel 1")
    = partial "includes/components/video-carousel/video-carousel-modal", locals: {videolink: video.video_link, title: video.title}
